﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.DataGrid;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            SetInf();
        }

        private void SetInf()
        {
            _DataGrid.ShowVerticalFreezingSeparator = DataGridColumnFreezing.Left;
            _DataGrid.FrozenColumnCount = 1;
            _DataGrid.CanUserAddRows = false;

            List<ListInf> _Data = new List<ListInf>();
            for (int i = 0; i < 20; i++)
            {
                _Data.Add(new ListInf()
                {
                    col_1 = "data1",
                    col_2 = "data2",
                    col_3 = "data3",
                    col_4 = "data4",
                    col_5 = "data5",
                    col_6 = "data6",
                    col_7 = "data7",
                    col_8 = "data8",
                    col_9 = "data9",
                    col_10 = "data10"
                });
            }

            _DataGrid.ItemsSource = _Data;

            _DataGrid.LoadedRowPresenter += new EventHandler<DataGridRowEventArgs>(_DataGrid_LoadedRowPresenter);
            _DataGrid.LoadedCellPresenter += new EventHandler<DataGridCellEventArgs>(_DataGrid_LoadedCellPresenter);

            _DataGrid.UnloadedCellPresenter += new EventHandler<DataGridCellEventArgs>(_DataGrid_UnloadedCellPresenter);
            _DataGrid.UnloadedRowPresenter += new EventHandler<DataGridRowEventArgs>(_DataGrid_UnloadedRowPresenter);

        }

        void _DataGrid_LoadedRowPresenter(object sender, DataGridRowEventArgs e)
        {
            if (e.Row.Index % 2 != 0)
                e.Row.Presenter.Background = new SolidColorBrush(Colors.Green);
        }
        
        private void _DataGrid_LoadedCellPresenter(object sender, DataGridCellEventArgs e)
        {
            DataGridCell cell = e.Cell;

            if (cell.Presenter != null && cell.Column.DisplayIndex == 8)
            {
                if (cell.Row.Index % 2 == 0)
                {
                    cell.Presenter.Foreground = new SolidColorBrush(Colors.Red);

                }
            }
        }

        void _DataGrid_UnloadedCellPresenter(object sender, DataGridCellEventArgs e)
        {
            // Reset the Cell foreground to orignal ForeColor
            e.Cell.Presenter.Foreground = _DataGrid.Foreground;
        }

        void _DataGrid_UnloadedRowPresenter(object sender, DataGridRowEventArgs e)
        {
            // Reset the Row Background to orignal backcolor
            if (e.Row.Index % 2 == 0)
                e.Row.Presenter.Background = _DataGrid.RowBackground;
            else
                e.Row.Presenter.Background = _DataGrid.AlternatingRowBackground;
        }


    }

    public class ListInf
    {
        private string _col_1;
        public string col_1
        {
            get
            {
                return _col_1;
            }
            set
            {
                _col_1 = value;
            }
        }

        private string _col_2;
        public string col_2
        {
            get
            {
                return _col_2;
            }
            set
            {
                _col_2 = value;
            }
        }

        private string _col_3;
        public string col_3
        {
            get
            {
                return _col_3;
            }
            set
            {
                _col_3 = value;
            }
        }

        private string _col_4;
        public string col_4
        {
            get
            {
                return _col_4;
            }
            set
            {
                _col_4 = value;
            }
        }

        private string _col_5;
        public string col_5
        {
            get
            {
                return _col_5;
            }
            set
            {
                _col_5 = value;
            }
        }

        private string _col_6;
        public string col_6
        {
            get
            {
                return _col_6;
            }
            set
            {
                _col_6 = value;
            }
        }

        private string _col_7;
        public string col_7
        {
            get
            {
                return _col_7;
            }
            set
            {
                _col_7 = value;
            }
        }

        private string _col_8;
        public string col_8
        {
            get
            {
                return _col_8;
            }
            set
            {
                _col_8 = value;
            }
        }

        private string _col_9;
        public string col_9
        {
            get
            {
                return _col_9;
            }
            set
            {
                _col_9 = value;
            }
        }

        private string _col_10;
        public string col_10
        {
            get
            {
                return _col_10;
            }
            set
            {
                _col_10 = value;
            }
        }
    }
}
